/*
 * log.c
 *
 * (C) 2019 by Sylvain Munaut <tnt@246tNt.com>
 *
 * All Rights Reserved
 *
 * SPDX-License-Identifier: GPL-2.0+
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */

#include <osmocom/core/logging.h>
#include <osmocom/core/utils.h>

#include "log.h"

static const struct log_info_cat default_categories[] = {
	[DE1D] = {
		.name = "DE1D",
		.loglevel = LOGL_INFO,
		.enabled = 1,
	},
	[DXFR] = {
		.name = "DXFR",
		.loglevel = LOGL_NOTICE,
		.enabled = 1,
	},
	[DTRUNKDEV] = {
		.name = "DTRUNKDEV",
		.description = "DAHDI trunkdev driver",
		.loglevel = LOGL_NOTICE,
		.enabled = 1,
	},
};

const struct log_info log_info = {
	.cat = default_categories,
	.num_cat = ARRAY_SIZE(default_categories),
};
